<?php
/*
Plugin Name: YouTube Sidebar Video
Plugin URI: http://nothingoutoftheordinary.com/2007/07/23/wordpress-youtube-sidebar-video-plugin/
Description: Calling youtube(uri [,width,height[,autoplay]]) will display the youtube video corresponding to the url. Width and height variables are optional. Defaults at 200x165. Set autoplay to TRUE to have the video play automatically.
Author: James Wilson
Version: 1.0
Author URI: http://nothingoutoftheordinary.com
*/

function youtube($uri, $width=200, $height=165, $autoplay=FALSE) {
	
	if ($uri == "")
		return false;
	
	$videoid = str_replace( array("http://www.youtube.com/watch?v=", "http:/youtube.com/watch?v="), "", $uri);
	$loc2 = strpos($videoid, "&");
	if($loc2 != FALSE AND $loc2 > 0)
		$videoid = substr($videoid, 0, $loc2);
	
	$embed = <<<YTB
<object width="%width%" height="%height%">
	<param name="movie" value="http://www.youtube.com/v/%videoid%%autoplay%"></param>
	<param name="wmode" value="transparent"></param>
	<embed src="http://www.youtube.com/v/%videoid%%autoplay%" type="application/x-shockwave-flash" wmode="transparent" width="%width%" height="%height%"></embed>
</object>
YTB;
	
	$width = ($width == "") ? 200 : $width;
	$height = ($height == "") ? 165 : $height;
	
	$autoplay = ($autoplay == 1 || $autoplay == TRUE || $autoplay == "y" || $autoplay == "yes") ? '&autoplay=1' : '';
	
	$content = str_replace(
		array(
			"%videoid%",
			"%width%",
			"%height%",
			"%autoplay%"
		), 
		array(
			$videoid,
			$width,
			$height,
			$autoplay
		), 
		$embed
	);
	
	echo $content;
	
	return true;
	
}

?>